Name:          qbittorrent
Version:       5.0.3
Release:       1mamba
Summary:       Free and reliable P2P Bittorrent client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.qbittorrent.org/download
Source:        http://downloads.sourceforge.net/qbittorrent/qbittorrent-%{version}.tar.gz
Source1:       qbittorrent-nox.README
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Sql
BuildRequires: libQt6Widgets
BuildRequires: libQt6Xml
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libopenssl-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtorrent-rasterbar-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libtorrent-rasterbar-devel >= 1.2.10
BuildRequires: gcc-c++

%description
The qBittorrent project aims to provide a Free Software alternative to µtorrent.
qBittorrent is based on Qt toolkit and libtorrent-rasterbar.

%package nox
Summary:       A Headless Bittorrent Client
Group:         Applications/Networking

%description nox
A Headless Bittorrent Client with a feature rich Web UI allowing users to control the clinet remotely.

%debug_package

%prep
%setup -q
cp -p %{S:1} doc/README

%build
%cmake \
   -DGUI=ON

%cmake_build

%define _vpath_builddir build-nox

%cmake \
   -DGUI=OFF \
   -DSYSTEMD=ON

%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

# headless version
%makeinstall -C build-nox

#install -d -m0755 %{buildroot}%{_unitdir}
#mv %{buildroot}%{_prefix}%{_unitdir}/qbittorrent-nox@.service \
#   %{buildroot}%{_unitdir}/qbittorrent-nox@.service

# gui version
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/qbittorrent
%{_mandir}/man1/qbittorrent.1*
%{_metainfodir}/org.qbittorrent.qBittorrent.metainfo.xml
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/status/qbittorrent-tray.png
%{_datadir}/icons/hicolor/scalable/apps/qbittorrent.svg
%{_datadir}/icons/hicolor/scalable/status/qbittorrent-tray*.svg
%lang(ru) %{_mandir}/ru/man1/qbittorrent.1*
%doc AUTHORS COPYING
#NEWS TODO Changelog

%files nox
%defattr(-,root,root,-)
%{_bindir}/qbittorrent-nox
%{_unitdir}/qbittorrent-nox@.service
%{_mandir}/man1/qbittorrent-nox.1*
%lang(ru) %{_mandir}/ru/man1/qbittorrent-nox.1*
%doc AUTHORS COPYING
#doc/README

%changelog
* Wed Dec 18 2024 Automatic Build System <autodist@openmamba.org> 5.0.3-1mamba
- automatic version update by autodist

* Mon Nov 18 2024 Automatic Build System <autodist@openmamba.org> 5.0.2-1mamba
- automatic version update by autodist

* Sat Nov 02 2024 Automatic Build System <autodist@openmamba.org> 5.0.1-1mamba
- automatic version update by autodist

* Wed Sep 18 2024 Automatic Build System <autodist@openmamba.org> 4.6.7-1mamba
- automatic version update by autodist

* Tue Aug 20 2024 Automatic Build System <autodist@openmamba.org> 4.6.6-1mamba
- automatic version update by autodist

* Tue May 28 2024 Automatic Build System <autodist@openmamba.org> 4.6.5-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 4.6.4-1mamba
- automatic version update by autodist

* Wed Jan 17 2024 Automatic Build System <autodist@openmamba.org> 4.6.3-1mamba
- automatic version update by autodist

* Tue Nov 28 2023 Automatic Build System <autodist@mambasoft.it> 4.6.2-1mamba
- automatic version update by autodist

* Tue Nov 21 2023 Automatic Build System <autodist@mambasoft.it> 4.6.1-1mamba
- automatic version update by autodist

* Mon Oct 23 2023 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Wed Aug 30 2023 Automatic Build System <autodist@mambasoft.it> 4.5.5-1mamba
- automatic version update by autodist

* Mon Jun 19 2023 Automatic Build System <autodist@mambasoft.it> 4.5.4-1mamba
- automatic version update by autodist

* Tue May 30 2023 Automatic Build System <autodist@mambasoft.it> 4.5.3-1mamba
- automatic version update by autodist

* Tue Feb 28 2023 Automatic Build System <autodist@mambasoft.it> 4.5.2-1mamba
- automatic version update by autodist

* Mon Feb 13 2023 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic version update by autodist

* Sun Dec 04 2022 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 4.4.5-1mamba
- automatic version update by autodist

* Wed Aug 24 2022 Automatic Build System <autodist@mambasoft.it> 4.4.4-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 4.4.3.1-1mamba
- automatic version update by autodist

* Tue May 24 2022 Automatic Build System <autodist@mambasoft.it> 4.4.3-1mamba
- automatic version update by autodist

* Fri Mar 25 2022 Automatic Build System <autodist@mambasoft.it> 4.4.2-1mamba
- automatic version update by autodist

* Wed Feb 16 2022 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Sun Jan 09 2022 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Mon Nov 01 2021 Automatic Build System <autodist@mambasoft.it> 4.3.9-1mamba
- automatic version update by autodist

* Mon Aug 30 2021 Automatic Build System <autodist@mambasoft.it> 4.3.8-1mamba
- automatic version update by autodist

* Wed Aug 04 2021 Automatic Build System <autodist@mambasoft.it> 4.3.7-1mamba
- automatic version update by autodist

* Sat Jul 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.6-1mamba
- update to 4.3.6

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 4.3.5-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 4.3.4.1-1mamba
- automatic version update by autodist

* Wed Nov 25 2020 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Thu Oct 22 2020 Automatic Build System <autodist@mambasoft.it> 4.3.0.1-1mamba
- automatic version update by autodist

* Mon Oct 19 2020 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Mon Sep 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 4.2.5-2mamba
- rebuilt with libtorrent-rasterbar 1.2.10

* Sat Apr 25 2020 Automatic Build System <autodist@mambasoft.it> 4.2.5-1mamba
- automatic version update by autodist

* Thu Apr 23 2020 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Sat Apr 04 2020 Automatic Build System <autodist@mambasoft.it> 4.2.3-1mamba
- automatic version update by autodist

* Wed Mar 25 2020 Automatic Build System <autodist@mambasoft.it> 4.2.2-1mamba
- automatic version update by autodist

* Tue Dec 31 2019 Automatic Build System <autodist@mambasoft.it> 4.2.1-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sat Nov 02 2019 Automatic Build System <autodist@mambasoft.it> 4.1.9.1-1mamba
- automatic version update by autodist

* Mon Oct 28 2019 Automatic Build System <autodist@mambasoft.it> 4.1.9-1mamba
- automatic version update by autodist

* Fri Sep 27 2019 Automatic Build System <autodist@mambasoft.it> 4.1.8-1mamba
- automatic version update by autodist

* Mon Aug 05 2019 Automatic Build System <autodist@mambasoft.it> 4.1.7-1mamba
- automatic version update by autodist

* Mon May 27 2019 Automatic Build System <autodist@mambasoft.it> 4.1.6-1mamba
- automatic version update by autodist

* Tue Feb 12 2019 Automatic Build System <autodist@mambasoft.it> 4.1.5-1mamba
- automatic version update by autodist

* Thu Feb 26 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.12-1mamba
- update to 3.1.12

* Sun Mar 02 2014 Automatic Build System <autodist@mambasoft.it> 3.1.9-1mamba
- automatic update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 3.0.9-1mamba
- automatic version update by autodist

* Wed Jan 30 2013 Automatic Build System <autodist@mambasoft.it> 3.0.8-2mamba
- rebuilt with libtorrent-rasterbar 0.16.7

* Wed Jan 23 2013 Automatic Build System <autodist@mambasoft.it> 3.0.8-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Mon Oct 03 2011 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Tue Jul 26 2011 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Mon Mar 14 2011 Automatic Build System <autodist@mambasoft.it> 2.6.9-1mamba
- automatic update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.6.6-1mamba
- automatic update by autodist

* Sun Jan 23 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.6.4-1mamba
- package created by autospec
